Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Nieuwe videokaart  (gelezen 1277 keer)

Offline jazzper

  • Lid
  • Steunpunt: Nee
Nieuwe videokaart
« Gepost op: 2008/09/17, 13:35:24 »
Ik heb een nieuwe videokaart (gforce 9500 gt)

Ubuntu heeft hier geen nieuwe drivers voor geinstalleerd. Hiervoor had ik een videokaart van de 7200 serie.
Gebruikt ubuntu dezelfde drivers voor deze kaart? Alles functioneert in principe, maar ik vond het vreemd dat er bij hardware drivers geen enkele staat. (no proprietary drivers are in use on this system)

Klopt dit?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #1 Gepost op: 2008/09/17, 13:38:15 »
Citaat van: jazzper
Ik heb een nieuwe videokaart (gforce 9500 gt)

Ubuntu heeft hier geen nieuwe drivers voor geinstalleerd. Hiervoor had ik een videokaart van de 7200 serie.
Gebruikt ubuntu dezelfde drivers voor deze kaart? Alles functioneert in principe, maar ik vond het vreemd dat er bij hardware drivers geen enkele staat. (no proprietary drivers are in use on this system)

Klopt dit?
Klopt, hij draait standaard op het beperkte open-bron-stuurprogje "nv".

Voor deze spiksplinternieuwe kaart zul je Envy willen proberen, om het bijpassende fabrieks-stuurprogje te installeren:
http://computertip.googlepages.com/directdoen
(nummer 2)

Offline jazzper

  • Lid
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #2 Gepost op: 2008/09/17, 13:49:58 »
bedankt voor je ontzettend snelle antwoord!!

Envy heeft zn werk niet kunnen doen. Helaas kan ik niet de hele tekst copy en pasten.

Envy does not recognise your card as compatible with any version of....etc

achter deze staat een error:
usr/lib/python2.5/site-packages/envy/classes.py, line 863, in drivertype raise exception error

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #3 Gepost op: 2008/09/17, 13:53:05 »
Blijkbaar te nieuw.... maandje wachten en dan opnieuw proberen.

Offline jazzper

  • Lid
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #4 Gepost op: 2008/09/17, 13:58:36 »
ok, bedankt!!!

Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #5 Gepost op: 2008/09/17, 14:27:35 »
Kaart zou moeten werken met de restricted drivers. Ik zou die dus proberen te installeren. Kaart is niet te nieuw volgens mij, ik heb een 9600M GT en die werkt perfect met de restricted drivers:
Section "Device"
        Identifier      "Configured Video Device"
        Driver          "nvidia"
        Option          "NoLogo"        "True"
EndSection

Section "Monitor"
        Identifier      "Configured Monitor"
EndSection

Section "Screen"
        Identifier      "Default Screen"
        Monitor         "Configured Monitor"
        Device          "Configured Video Device"
        Defaultdepth    24
EndSection

Section "ServerLayout"
        Identifier      "Default Layout"
  screen "Default Screen"
        Inputdevice     "Synaptics Touchpad"
EndSection
Section "Module"
        Load            "glx"
EndSection

Offline jazzper

  • Lid
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #6 Gepost op: 2008/09/18, 12:22:25 »
Zou heel mooi om deze kaart werkend te krijgen, maar in restricted drivers wordt er dus geen weergegeven.

Hoe dit aan te pakken??

Ik heb op de site van nvidia linux driver gevonden. Run bestand. Deze heb ik uitvoerbaar gemaakt, maar kan deze alleen installeren als root.

In de terminal heb ik het volgende gedaan:

jasper@jasper-desktop:~/Bureaublad$ sudo ./NVIDIA-Linux-x86-173.14.12-pkg1.run
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 173.14.12.............................................................................................................................................................................................................................................................................................
jasper@jasper-desktop:~/Bureaublad$ sh NVIDIA-Linux-x86-173.14.12-pkg1.run
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 173.14.12.............................................................................................................................................................................................................................................................................................
nvidia-installer: Error opening log file '/var/log/nvidia-installer.log' for writing (Permission denied); disabling logging.
jasper@jasper-desktop:~/Bureaublad$ sudo sh NVIDIA-Linux-x86-173.14.12-pkg1.run
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 173.14.12........................................................................................................................................................................

(resultaat:  ERROR: You appear to be running an X server; please exit X before installing)

Wat houdt dit precies in?

Offline jazzper

  • Lid
  • Steunpunt: Nee
Nieuwe videokaart
« Reactie #7 Gepost op: 2008/09/18, 13:14:52 »
Nadat ik envy nogmaals opende zag ik dat de driver die envy voorstelde dezelfde was (uiteraard) als die van de site. Het was dus een appeltje eitje om deze te installeren!!! K moest er alleen even zeker van zijn welke driver ik nodig had!!

Bedankt voor jullie reacties